﻿Option Explicit On
Option Strict On


''' <summary>
''' ServerResponse() response a server response with a return code and a return message.
''' </summary>
''' <remarks>Copyright (c) 2015   Vanderhaegen Bart</remarks>
Public Class ServerResponse

    ' Class properties
    Public Property returnCode As Integer
    Public Property message As String


    ''' <summary>
    ''' Constructor for the class.
    ''' </summary>
    ''' <param name="returnCode">The desired returncode</param>
    ''' <param name="message">The desired response message</param>
    ''' <remarks></remarks>
    Public Sub New(returnCode As Integer,
                    message As String)

        Me.returnCode = returnCode
        Me.message = message
    End Sub
End Class